io.undertow.server.handlers.accesslog

## Class DefaultAccessLogReceiver.Builder

- java.lang.Object
- - io.undertow.server.handlers.accesslog.DefaultAccessLogReceiver.Builder

Enclosing class:
  DefaultAccessLogReceiver

    public static class DefaultAccessLogReceiver.Builder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DefaultAccessLogReceiver` `build()`
`String` `getLogBaseName()`
`LogFileHeaderGenerator` `getLogFileHeaderGenerator()`
`String` `getLogNameSuffix()`
`Executor` `getLogWriteExecutor()`
`Path` `getOutputDirectory()`
`boolean` `isRotate()`
`DefaultAccessLogReceiver.Builder` `setLogBaseName(String logBaseName)`
`DefaultAccessLogReceiver.Builder` `setLogFileHeaderGenerator(LogFileHeaderGenerator logFileHeaderGenerator)`
`DefaultAccessLogReceiver.Builder` `setLogNameSuffix(String logNameSuffix)`
`DefaultAccessLogReceiver.Builder` `setLogWriteExecutor(Executor logWriteExecutor)`
`DefaultAccessLogReceiver.Builder` `setOutputDirectory(Path outputDirectory)`
`DefaultAccessLogReceiver.Builder` `setRotate(boolean rotate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### getLogWriteExecutor

    public Executor getLogWriteExecutor()

#### setLogWriteExecutor

    public DefaultAccessLogReceiver.Builder setLogWriteExecutor(Executor logWriteExecutor)

#### getOutputDirectory

    public Path getOutputDirectory()

#### setOutputDirectory

    public DefaultAccessLogReceiver.Builder setOutputDirectory(Path outputDirectory)

#### getLogBaseName

    public String getLogBaseName()

#### setLogBaseName

    public DefaultAccessLogReceiver.Builder setLogBaseName(String logBaseName)

#### getLogNameSuffix

    public String getLogNameSuffix()

#### setLogNameSuffix

    public DefaultAccessLogReceiver.Builder setLogNameSuffix(String logNameSuffix)

#### isRotate

    public boolean isRotate()

#### setRotate

    public DefaultAccessLogReceiver.Builder setRotate(boolean rotate)

#### getLogFileHeaderGenerator

    public LogFileHeaderGenerator getLogFileHeaderGenerator()

#### setLogFileHeaderGenerator

    public DefaultAccessLogReceiver.Builder setLogFileHeaderGenerator(LogFileHeaderGenerator logFileHeaderGenerator)

#### build

    public DefaultAccessLogReceiver build()